-- CA Current Capacity Reporter (CCR) v1.5 APM (Introscope) Reporting Module							  	--> 
-- MySQL_APM_CORE.sql file is associated with APM_CORE.XML file										  		-->
-- The following SQL file creates views specific to Physical systems      							  		--> 
-- including: 																						  		-->		
-- including: 																								-->		
-- 1. Application & Workload Details																		-->
-- 2. Heap Configuration & Usage		 																	-->
-- 3. Response Time & Throughput Reports																	-->	
-- 4. Correlation Analysis 																					-->
-- 5. Application Headroom Analysis Reports 																-->
-- APM Reporting Module automatically selects a range of controld ID's from 1019000 - 1019299				-->
-- APM Reporting Module automatically selects a range of MENU ID's from 4400050 - 4400089 					-->

use NetQoSPortal;
-- ------------------ --
-- Global Params      --
-- ------------------ --
-- Use 'set' for MySQL command-line
-- Use 'Define/Accept/Prompt' for running from SQL Developer !

set @firstControlID := 1019000;
set @firstMenuID := 4400050;
set @controlID := 0;

-- MySQL doesn't seem to have an equivalent of Oracle's ACCEPT / PROMPT keywords
-- which is frustrating, when trying to be safe about what this script is doing.
-- Maybe will do more with a utility based on Excel later??
-- OR
-- It seems that running it from SQL Developer will provide access to these capabilities??



-- ------------------ --
-- Control IDs        --
-- ------------------ --
DELETE FROM controls where ID >= @firstControlID and ID <= @firstControlID+299;

-- Put all controls at head of file and control properties later
REPLACE INTO controls 
(Id,				Title, 											GraphType,			ControlCategory, Filepath, 								 			ControlType, DataSourceType, Timeframe, PageContexts, 		 DefaultCfgString, Enabled) VALUES
(@firstControlID,	'APM Workload Correlation Report',									'Graph',			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000, 	2,			'|nc|',				'',	'Y'),
(@firstControlID+1,	'APM Workload Correlation Graph',									'Line',				'APM Reports', '/nqWidgets/Integration/wicTrend.ascx',					1,				0x80000,	2,			'|nc|',				'',	'Y'),
(@firstControlID+2,	'APM Workload Correlation Key',										'Graph',			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|nc|',				'',	'Y'),
(@firstControlID+3, 'APM Transaction Replay', 											'Line', 			'APM Reports', '/nqWidgets/Integration/wicTrend.ascx', 				1, 				0x80000, 	2,  		'|txdetail|',		 '', 'Y'),
(@firstControlID+4, 'APM Transaction - Capacity Correlation',							'Line', 			'APM Reports', '/nqWidgets/Integration/wicTrend.ascx', 				1, 				0x80000, 	2,  		'|corr_detail|',	 '', 'Y'),
(@firstControlID+5,	'APM Capacity Correlation Report',									'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|txdetail|corr_detail|',	'',	'Y'),
(@firstControlID+6,	'APM Transaction Summary Assessment',								'Graph',			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|txdetail|',		'',	'Y'),
(@firstControlID+7, 'APM Transaction Throughput Histogram', 							'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',				1, 				0x80000, 	2,  		'|txdetail|', 		 '', 'Y'),
(@firstControlID+8, 'APM Transaction Response Time Histogram', 							'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',				1, 				0x80000, 	2,  		'|txdetail|',	 	 '', 'Y'),
(@firstControlID+9,	'APM Application Headroom Report',									'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|nc|',				'',	'Y'),
(@firstControlID+10,'APM - Application List for Servers',								'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|nc|',				'',	'Y'),
(@firstControlID+11,'APM - Application Breakdown',										'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|nc|',				'',	'Y'),
(@firstControlID+12,'APM - Workload List by Host',										'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|nc|',				'',	'Y'),
(@firstControlID+13,'APM - Server List by Application',									'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|APMAPPDETAIL|',	'',	'Y'),
(@firstControlID+14,'APM - Transaction Performance by Application',						'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|APMAPPDETAIL|',	'',	'Y'),
(@firstControlID+15,'APM - Heap Configuration',											'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|nc|',	'',	'Y'),
(@firstControlID+16,'APM - Heap Configuration by Application',							'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|APMAPPDETAIL|',	'',	'Y'),
(@firstControlID+17,'APM - Top Process Heap Usage by Host',								'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|vmdetail|',	'',	'Y'),
(@firstControlID+18,'APM - Top Process Heap Usage Line Chart by Host',					'Line', 			'APM Reports', '/nqWidgets/Integration/wicTrend.ascx',		1,				0x80000,	2,			'|vmdetail|',	'',	'Y'),
(@firstControlID+19,'APM - Transaction Throughput Line Chart by Host',					'Line', 			'APM Reports', '/nqWidgets/Integration/wicTrend.ascx',		1,				0x80000,	2,			'|vmdetail|',	'',	'Y'),
(@firstControlID+20,'APM Workload Correlation Key by Host',								'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',		1,				0x80000,	2,			'|vmdetailvmdetail|',	'',	'Y'),
(@firstControlID+21,'APM - Application Headroom Report by Application',					'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',		1,				0x80000,	2,			'|APMAPPDETAIL|',	'',	'Y'),
(@firstControlID+22,'APM - CapMan WL Report by VM',										'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|vmdetail|',	'',	'Y'),
(@firstControlID+23,'APM - CapMan WL Report - by Application',							'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|APMAPPDETAIL|',	'',	'Y'),
(@firstControlID+24,'APM - Peak Hour by Application',									'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|APMAPPDETAIL|',	'',	'Y'),
(@firstControlID+25,'APM - Peak Three Hour by Application',								'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',					1,				0x80000,	2,			'|APMAPPDETAIL|',	'',	'Y'),
(@firstControlID+26,'APM - Response Time, Throughput & Transaction Count',				'Line', 			'APM Reports', '/nqWidgets/Integration/wicTrend.ascx',		1,				0x80000,	2,			'|vmdetail|',	'',	'Y'),
(@firstControlID+27,'APM - Utilization - Workload Correlation by VM',					'Line', 			'APM Reports', '/nqWidgets/Integration/wicTrend.ascx',		1,				0x80000,	2,			'|vmdetail|',	'',	'Y'),
(@firstControlID+28,'APM - Utilization - Workload Correl Coeff Message',				'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx',		1,				0x80000,	2,			'|vmdetail|',	'',	'Y'),
(@firstControlID+29,'APM - JVM Heap Trends',			 								'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx', 		1, 		  0x80000, 		  2, 		 '|nc|', 											'', 			   'Y'),
(@firstControlID+30,'APM - JVM Heap Summary',			 								'Graph', 			'APM Reports', '/nqWidgets/Integration/wicTable.ascx', 		1, 		  0x80000, 		  2, 		 '|nc|', 											'', 			   'Y')
;

-- ------------------------- --
-- Control Properties        --
-- ------------------------- --
-- All control property records use @controlID
-- Just need to set @controlID using controls.Title at head of each table

-- Replace into does not delete control_properties no longer required (eg. Y-Axix Max, ...)
DELETE from control_properties where ControlID >= @firstControlID and ControlID <= @firstControlID+299;

-- Correlation Summary Report (TABLE TEMPLATE)--
-- @firstControlID
select @controlID := ID from controls where Title = 'APM Workload Correlation Report';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									',,,,'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_Workload_Correlation_Report'),
(@controlID,	'N',	'DisplayFormats',								'string,string,string,float,float'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'WL1'),
(@controlID,	'N',	'DisplayNames',									'Transaction, Correlates to, Transaction, Ratio, &#x3C3;'),
(@controlID,	'N',	'DisplayColumns',								'WL1;correlation;WL2;ratio;ratio_stddev'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'HorizontalAlignments',							'Right,Left,Left,Left,Left'),
(@controlID,	'N',	'Hyperlinks',									'default.aspx?pg=txdetail&TX={WL1},,default.aspx?pg=txdetail&TX={WL2}'),
(@controlID,	'N',	'Title',										'APM Workload Correlation Report');



-- Transaction Throughput Line Chart, No Key (TREND LINE TEMPLATE) 
-- @firstControlID+1
select @controlID := ID from controls where Title = 'APM Workload Correlation Graph';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID, 	'N',	 'ChartType', 'Line'),
(@controlID, 	'N',	 'ChartYAxisTitleText', 'Transactions/min'),
(@controlID, 	'N',	 'ColumnNames', 'W1,W2,W3,W4,W5,W6,W7,W8,W9,W10,W11,W12,W13,W14,W15,W16,W17,W18,W19,W20,W21,W22,W23,W24,W25,W26,W27,W28,W29,W30'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'DateTimeFormat', 'yyyyMMddHHmm'),
/*(@controlID, 	'N',	 'DisplayFormat', 'float'),*/
/*(@controlID, 	'N',	 'DisplayNames',									 'W1,W2,W3,W4,W5,W6,W7,W8,W9,W10,W11,W12,W13,W14,W15,W16,W17,W18,W19,W20,W21,W22,W23,W24,W25,W26,W27,W28,W29,W30'),*/
(@controlID, 	'N',	 'DisplayNames',									 ',,,,,,,,,,,,,,,,,,,,,,,,,,,,,'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'Title',									'APM Workload Correlation Graph'),
/*(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period for this group.'),*/
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'APM_Workload_Correlation_Graph'),
(@controlID, 	'N',	 'ChartDataSeries1FillColor', '#666666'),
(@controlID, 	'N',	 'ChartDataSeries2FillColor', '#FF9900'),
(@controlID, 	'N',	 'ChartDataSeries3FillColor', '#FF3300'),
(@controlID, 	'N',	 'ChartDataSeries4FillColor', '#CC9900'),
(@controlID, 	'N',	 'ChartDataSeries5FillColor', '#CC0033'),
(@controlID, 	'N',	 'ChartDataSeries6FillColor', '#666600'),
(@controlID, 	'N',	 'ChartDataSeries7FillColor', '#FFFF00'),
(@controlID, 	'N',	 'ChartDataSeries8FillColor', '#FF3366'),
(@controlID, 	'N',	 'ChartDataSeries9FillColor', '#66FF00'),
(@controlID, 	'N',	 'ChartDataSeries10FillColor', '#993300'),
(@controlID, 	'N',	 'ChartDataSeries11FillColor', '#CC3366'),
(@controlID, 	'N',	 'ChartDataSeries12FillColor', '#FF0099'),
(@controlID, 	'N',	 'ChartDataSeries13FillColor', '#CC6600'),
(@controlID, 	'N',	 'ChartDataSeries14FillColor', '#FF9933'),
(@controlID, 	'N',	 'ChartDataSeries15FillColor', '#993399'),
(@controlID, 	'N',	 'ChartDataSeries16FillColor', '#009900'),
(@controlID, 	'N',	 'ChartDataSeries17FillColor', '#339966'),
(@controlID, 	'N',	 'ChartDataSeries18FillColor', '#CC99FF'),
(@controlID, 	'N',	 'ChartDataSeries19FillColor', '#0066CC'),
(@controlID, 	'N',	 'ChartDataSeries20FillColor', '#660099'),
(@controlID, 	'N',	 'ChartDataSeries21FillColor', '#9900FF'),
(@controlID, 	'N',	 'ChartDataSeries22FillColor', '#66FFFF'),
(@controlID, 	'N',	 'ChartDataSeries23FillColor', '#9900FF'),
(@controlID, 	'N',	 'ChartDataSeries24FillColor', '#336666'),
(@controlID, 	'N',	 'ChartDataSeries25FillColor', '#9966FF'),
(@controlID, 	'N',	 'ChartDataSeries26FillColor', '#33FFFF'),
(@controlID, 	'N',	 'ChartDataSeries27FillColor', '#3300FF'),
(@controlID, 	'N',	 'ChartDataSeries28FillColor', '#00CC99'),
(@controlID, 	'N',	 'ChartDataSeries29FillColor', '#0033CC'),
(@controlID, 	'N',	 'ChartDataSeries30FillColor', '#00CCFF');

-- Line Chart Summary and Key (TABLE TEMPLATE) --
-- @firstControlID+2
select @controlID := ID from controls where Title = 'APM Workload Correlation Key';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									'20px,,,,,'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_Workload_Correlation_Key'),
(@controlID,	'N',	'DisplayFormats',								'string,string,float,bar'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'BarColors',									'#93B2C7,#328BC7'),
(@controlID,	'N',	'BarLegendText',								'Average,95<sup>th</sup> Percentile'),
(@controlID,	'N',	'ToolTips',										',,,Average Throughput: {avgthr} /min\n95th Percentile Throughput: {perc95thr}/min'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'avgthr'),
(@controlID,	'N',	'DisplayNames',									'Key, Workload Name, Avg/m, Throughput Density'),
(@controlID,	'N',	'DisplayColumns',								'hexcol;workloadname;avgthr;avgthrSC,perc95thrSC'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,Left,Left,Left'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'Hyperlinks',									',default.aspx?pg=txdetail&TX={workloadname}'),
(@controlID,	'N',	'Title',										'APM Workload Correlation Key');


-- Transaction Volume/Response Time - (DualYAxis Line Template)
-- @firstControlID+3
select @controlID := ID from controls where Title = 'APM Transaction Replay';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID, 'N', 		'ChartType', 								'DualYAxis'),
(@controlID, 'N', 		'ChartYAxisTitleText', 						'Throughput'),
(@controlID, 'N', 		'ChartYAxis2TitleText', 					'Response Time(s)'),
(@controlID, 'N', 		'ColumnNames', 								'throughput'), -- Y-axis 1
(@controlID, 'N', 		'DisplayNames', 							'Throughput'), -- Y-axis 1
(@controlID, 'N', 		'DateTimeFormat', 							'yyyyMMddHHmm'),
(@controlID, 'N', 		'ChartYAxis2FieldNames', 					'response'), -- Y-axis 2 ColumnNames
(@controlID, 'N', 		'ChartYAxis2DisplayNames', 					'Response Time'), -- Y-axis 2 DisplayNames
(@controlID, 'N', 		'NoDataLabel', 								'There is no data during this time period for this group.'),
(@controlID, 'N', 		'Title', 									'Transaction Replay Chart - {TX}'),
(@controlID, 'N', 		'Integration.DataType', 					'SelectCommand'),
(@controlID, 'N', 		'Integration.EnableUtcStartAndEndTimes', 	'True'),
(@controlID, 'N', 		'Integration.Parameter.DateTimeFormat', 	'yyyyMMddHHmm'),
(@controlID, 'N', 		'Integration.Parameter.SelectCommandName', 	'APM_txreplay'),
(@controlID, 'N', 		'Integration.Parameter.UseXmlSchema', 		'True'),
(@controlID, 'N', 		'ChartDataSeries1FillColor', 				'ColorRank2'),
(@controlID, 'N', 		'ChartDataSeries2FillColor', 				'ColorRank3');


-- Transaction Volume/Utilization - (DualYAxis Line Template)
-- @firstControlID+4
select @controlID := ID from controls where Title = 'APM Transaction - Capacity Correlation';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID, 'N', 		'ChartType', 								'DualYAxis'),
(@controlID, 'N', 		'ChartYAxisTitleText', 						'Throughput'),
(@controlID, 'N', 		'ChartYAxis2TitleText', 					'Utilization'),
(@controlID, 'N', 		'ColumnNames', 								'VOL'), -- Y-axis 1
(@controlID, 'N', 		'DisplayNames', 							'Throughput'), -- Y-axis 1
(@controlID, 'N', 		'DateTimeFormat', 							'yyyyMMddHHmm'),
(@controlID, 'N', 		'ChartYAxis2FieldNames', 					'UTIL'), -- Y-axis 2 ColumnNames
(@controlID, 'N', 		'ChartYAxis2DisplayNames', 					'%Utilization'), -- Y-axis 2 DisplayNames
(@controlID, 'N', 		'NoDataLabel', 								'There is no data during this time period for this group.'),
(@controlID, 'N', 		'Title', 									'Capacity Correlation Chart for {TX}'),
(@controlID, 'N', 		'Integration.DataType', 					'SelectCommand'),
(@controlID, 'N', 		'Integration.EnableUtcStartAndEndTimes', 	'True'),
(@controlID, 'N', 		'Integration.Parameter.DateTimeFormat', 	'yyyyMMddHHmm'),
(@controlID, 'N', 		'Integration.Parameter.SelectCommandName', 	'APM_txcireplay'),
(@controlID, 'N', 		'Integration.Parameter.UseXmlSchema', 		'True'),
(@controlID, 'N', 		'ChartDataSeries1FillColor', 				'ColorRank2'),
(@controlID, 'N', 		'ChartDataSeries2FillColor', 				'ColorRank4');

-- Correlation Summary Report (TABLE TEMPLATE)--
-- @firstControlID+5
select @controlID := ID from controls where Title = 'APM Capacity Correlation Report';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									',,,,,,'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_txcicorr'),
(@controlID,	'N',	'DisplayFormats',								'string,string,string,string,string,float,float'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'host'),
(@controlID,	'N',	'DisplayNames',									'Host, Metric, Correlation, Cost per TX, &#x3C3;	, Vol95, Headroom'),
(@controlID,	'N',	'DisplayColumns',								'HOST;METRIC;correlation;ratio;ratio_stddev;vol95;headroomTX'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,Left,Left,Left,Left,Left,Left'),
(@controlID, 	'N',	'Hyperlinks',									'default.aspx?pg=corr_detail&TX={WL}&CI={HOST}'),
(@controlID,	'N',	'Title',										'Capacity Correlation Report - {TX}');

-- Correlation Summary Report (TABLE TEMPLATE)
-- @firstControlID+6
select @controlID := ID from controls where Title = 'APM Transaction Summary Assessment';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									'100%'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_txmessage'),
(@controlID,	'N',	'DisplayFormats',								'string'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'message'),
(@controlID,	'N',	'DisplayNames',									'Summary Message'),
(@controlID,	'N',	'DisplayColumns',								'message'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,'),
(@controlID,	'N',	'Title',										'Summary - {TX}');

-- Histogram of Transaction Throughput (TABLE TEMPLATE)
-- @firstControlID+7
select @controlID := ID from controls where Title = 'APM Transaction Throughput Histogram';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									'10%,30%,200px'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_txvol_histo'),
(@controlID,	'N',	'ToolTips',										',,Frequency:{freq}'),
(@controlID,	'N',	'BarColors',									'#0066FF,#FFFFFF'),
(@controlID,	'N',	'BarLegendText',								'Frequency,'),
(@controlID,	'N',	'DisplayFormats',								'float,string,bar'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'bkt'),
(@controlID,	'N',	'DisplayNames',									'ID, Bucket, Frequency'),
(@controlID,	'N',	'DisplayColumns',								'bkt;bktedge;freq,const'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'HorizontalAlignments',							'Left, Right,Left'),
(@controlID,	'N',	'Title',										'{TX} Throughput Histogram');

-- Histogram of Transaction Response Times (TABLE TEMPLATE)
-- @firstControlID+8
select @controlID := ID from controls where Title = 'APM Transaction Response Time Histogram';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									'10%,30%,200px'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_txperf_histo'),
(@controlID,	'N',	'ToolTips',										',,Frequency: {freq}'),
(@controlID,	'N',	'BarColors',									'#0066FF,#FFFFFF'),
(@controlID,	'N',	'BarLegendText',								'Frequency,'),
(@controlID,	'N',	'DisplayFormats',								'float,string,bar'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'bkt'),
(@controlID,	'N',	'DisplayNames',									'ID, Bucket, Frequency'),
(@controlID,	'N',	'DisplayColumns',								'bkt;bktedge;freq,const'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'HorizontalAlignments',							'Left, Right,Left'),
(@controlID,	'N',	'Title',										'{TX} Response Times Histogram');

-- Application Headroom Report (TABLE TEMPLATE)
-- @firstControlID+9
select @controlID := ID from controls where Title = 'APM Application Headroom Report';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									',,70%,,'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_bsheadroom'),
(@controlID,	'N',	'DisplayFormats',								'string,string,string,float,float'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'headroomTX'),
(@controlID,	'N',	'DisplayNames',									'Host, Metric, Headroom Chart, Headroom (tx/s), <div title="standard deviation in tx/s">&plusmn;</div>'),
(@controlID,	'N',	'DisplayColumns',								'HOST;description;barchart;headroomTX;plusmin'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,Left,Left,Left,Left'),
(@controlID,	'N',	'Title',										'Application Headroom Report');

-- Table 'APM - Application List for Servers'
-- @firstControlID+10
select @controlID := ID from controls where Title = 'APM - Application List for Servers';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '40%,15%,15%,15%'),
(@controlID, 	'N',	 'DisplayColumns',									 'Application;hostcount;processcount;workloadcount'),
(@controlID, 	'N',	 'DisplayNames',									 'Applications,Server Count,Process Count,Workload Count'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,float,float,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'Application'),
(@controlID, 	'N',	 'Title',									'APM - Application List'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=APMAPPDETAIL&apmapplication={Application},,,'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_application_list_count');

-- Table 'APM - Application Breakdown'
-- @firstControlID+11
select @controlID := ID from controls where Title = 'APM - Application Breakdown';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '25%,20%,20%,20%,20%'),
(@controlID, 	'N',	 'DisplayColumns',									 'Application;host;subsystem_name;workloadname;subsystem_type'),
(@controlID, 	'N',	 'DisplayNames',									 'Applications,Server,Process Name,Workload Name,Process Type'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,string,string,string,string'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center,Center'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'Application'),
(@controlID, 	'N',	 'Title',									'APM - Application Breakdown'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=APMAPPDETAIL&apmapplication={Application},default.aspx?pg=vmdetail&vm={HOST},,default.aspx?pg=txdetail&TX={workloadname},,'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_application_breakdown');

-- Table 'APM - Workload List by Host'
-- @firstControlID+12
select @controlID := ID from controls where Title = 'APM - Workload List by Host';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '25%,25%,25%,25%'),
(@controlID, 	'N',	 'DisplayColumns',									 'workloadname;host;subsystem_name;subsystem_type'),
(@controlID, 	'N',	 'DisplayNames',									 'Workload,Server,Process Name,Process Type'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,string,string,string'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'workloadname'),
(@controlID, 	'N',	 'Title',									'APM - Workload List by Host'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=txdetail&TX={workloadname},default.aspx?pg=vmdetail&vm={HOST},,,'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_workload_list_byhost');

-- Table 'APM - Server List by Application'
-- @firstControlID+13
select @controlID := ID from controls where Title = 'APM - Server List by Application';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '40%,15%,15%,15%'),
(@controlID, 	'N',	 'DisplayColumns',									 'HOST;applicationcount;processcount;workloadcount'),
(@controlID, 	'N',	 'DisplayNames',									 'Server,Application Count,Process Count,Workload Count'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=vmdetail&vm={HOST},,,'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,float,float,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'HOST'),
(@controlID, 	'N',	 'Title',									'APM - Application Detail - {APMAPPLICATION}'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_server_list_detail');

-- Table 'APM - Transaction Performance by Application'
-- @firstControlID+14
select @controlID := ID from controls where Title = 'APM - Transaction Performance by Application';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',									'20%,20%,20%,20%,20%'), 
(@controlID,	'N',	'DisplayColumns',								'APPLICATION;WORKLOADNAME;WORKLOADTYPE;Response;Count'),
(@controlID,	'N',	'DisplayFormats',								'string,string,string,float,float'),
(@controlID,	'N',	'DisplayNames',									'Application, Workload Name,Workload Type,Avg Response Time,Transactions'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,Center,Center,Center,Center'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.EnableUtcStartAndEndTimes',		'true'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.Parameter.Demo',					'true'),
(@controlID,	'N', 	'Hyperlinks',								 	'default.aspx?pg=APMAPPDETAIL&apmapplication={Application},default.aspx?pg=txdetail&TX={workloadname},,,'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'Workload_report_by_app'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'APPLICATION'),
(@controlID,	'N',	'Title',										'Transaction Performance - {apmapplication}');

-- Table 'APM - Heap Configuration'
-- @firstControlID+15
select @controlID := ID from controls where Title = 'APM - Heap Configuration';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 ',,,,'),
(@controlID, 	'N',	 'DisplayColumns',									 'HOST;JVM;heapsize;heapused;heap95'),
(@controlID, 	'N',	 'DisplayNames',									 'Server,JVM,Heap Size(mb),Avg Heap Usage,heap95'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,string,float,float,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center,Center'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=vmdetail&vm={HOST},,'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'HOST'),
(@controlID, 	'N',	 'Title',									'APM - Heap Configuration'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_heap_config_usage');


-- Table 'APM - Heap Configuration by Application'
-- @firstControlID+16
select @controlID := ID from controls where Title = 'APM - Heap Configuration by Application';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '40%,15%,15%'),
(@controlID, 	'N',	 'DisplayColumns',									 'HOST;heapsize;heapused'),
(@controlID, 	'N',	 'DisplayNames',									 'Server,Heap Size(mb),Avg Heap Usage'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,float,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'HOST'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=vmdetail&vm={HOST},,'),
(@controlID, 	'N',	 'Title',									'APM - Heap Configuration'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_heap_config_usage_by_app');


-- Table 'APM - Top Process Heap Usage by Host'
-- @firstControlID+17
select @controlID := ID from controls where Title = 'APM - Top Process Heap Usage by Host';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 'N',		'ColumnNames', 								',rank_char,processname,heapused,HEAP_TOTAL,heapused_char,HEAP_TOTAL_char,heap_perc_used,'), -- For having extra columns that are not displayed but are passed through the context
(@controlID, 'N',		'ColumnWidths', 							'2%,15%,15%,15%,15%,15%,2%'),
(@controlID, 'N',		'DisplayColumns', 							'rank_color;rank_char;processname;heapused_char;HEAP_TOTAL_char;heap_perc_used;rank_color'),
(@controlID, 'N',		'DisplayFormats', 							'string,string,string,string,string,string,string'),
(@controlID, 'N',		'DisplayNames', 							',Rank,Process,Heap Usage,Heap Size,Used (%),'),
(@controlID, 'N',		'HorizontalAlignments', 					',Left,Left,Center,Center,Center,Center'),
(@controlID, 'N',		'NoDataLabel', 								'There is no data during this time period.'),
(@controlID, 'N',		'ShowFilter', 								'False'),
(@controlID, 'N',		'SortDirection', 							'asc'),
(@controlID, 'N',		'SortField', 								'rank'),
(@controlID, 'N',		'Title', 									'Top Processes (Heap Usage)- {VM}'),
(@controlID, 'N',		'Integration.DataType', 					'SelectCommand'),
(@controlID, 'N',		'Integration.EnableUtcStartAndEndTimes', 	'True'),
(@controlID, 'N',		'Integration.Parameter.DateTimeFormat', 	'yyyyMMddHHmm'),
(@controlID, 'N',		'Integration.Parameter.SelectCommandName', 	'topheapusagebyhost'),
(@controlID, 'N',		'Integration.Parameter.UseXmlSchema', 		'True');


-- Trend Line  'APM - Top Process Heap Usage Line Chart by Host'
-- @firstControlID+18
select @controlID := ID from controls where Title = 'APM - Top Process Heap Usage Line Chart by Host';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 'N', 		'ChartType', 								'Line'),
-- (@controlID, 'N', 		'ChartYAxisMax', 							'100'),
(@controlID, 'N', 		'ChartYAxisMin', 							'0'),
(@controlID, 'N', 		'ChartYAxisTitleText', 						'Heap Usage (mb)'),
(@controlID, 'N', 		'ColumnNames', 								'heapused_1,heapused_2,heapused_3,heapused_4,heapused_5,heapused_6'),
(@controlID, 'N', 		'DisplayNames', 							'1,2,3,4,5,6'),
(@controlID, 'N', 		'DateTimeFormat', 							'yyyyMMddHHmm'),
(@controlID, 'N', 		'NoDataLabel', 								'There is no data during this time period.'),
(@controlID, 'N', 		'Title', 									'Top Processes (Heap Usage) - {VM}'),
(@controlID, 'N', 		'Integration.DataType', 					'SelectCommand'),
(@controlID, 'N',    	'ChartFooterText','Top Processes (Heap Usage) by Host'),
(@controlID, 'N', 		'Integration.EnableUtcStartAndEndTimes', 	'True'),  
(@controlID, 'N', 		'Integration.Parameter.DateTimeFormat', 	'yyyyMMddHHmm'),
(@controlID, 'N', 		'Integration.Parameter.SelectCommandName', 	'topheapusagebyhostline'),
(@controlID, 'N',		'Integration.Parameter.UseXmlSchema', 		'True'),
(@controlID, 'N', 		'ChartDataSeries1FillColor', 				'#DD4444'),
(@controlID, 'N', 		'ChartDataSeries2FillColor', 				'#883333'),
(@controlID, 'N', 		'ChartDataSeries3FillColor', 				'#99DDFF'),
(@controlID, 'N', 		'ChartDataSeries4FillColor', 				'#1188BB'),
(@controlID, 'N', 		'ChartDataSeries5FillColor', 				'#336666'),
(@controlID, 'N', 		'ChartDataSeries6FillColor', 				'#666600');



-- Table 'APM - Transaction Throughput Line Chart by Host'
-- @firstControlID+19
select @controlID := ID from controls where Title = 'APM - Transaction Throughput Line Chart by Host';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'ChartType', 'Line'),
(@controlID, 	'N',	 'ChartYAxisTitleText', 'Transactions/min'),
(@controlID, 	'N',	 'ColumnNames', 'W1,W2,W3,W4,W5,W6,W7,W8,W9,W10,W11,W12,W13,W14,W15,W16,W17,W18,W19,W20,W21,W22,W23,W24,W25,W26,W27,W28,W29,W30'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'DateTimeFormat', 'yyyyMMddHHmm'),
/*(@controlID, 	'N',	 'DisplayFormat', 'float'),*/
/*(@controlID, 	'N',	 'DisplayNames',									 'W1,W2,W3,W4,W5,W6,W7,W8,W9,W10,W11,W12,W13,W14,W15,W16,W17,W18,W19,W20,W21,W22,W23,W24,W25,W26,W27,W28,W29,W30'),*/
(@controlID, 	'N',	 'DisplayNames',									 ',,,,,,,,,,,,,,,,,,,,,,,,,,,,,'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'Title',									'APM Workload Correlation Graph - {VM}'),
/*(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period for this group.'),*/
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'APM_Workload_Correlation_Graph_By_Host'),
(@controlID, 	'N',	 'ChartDataSeries1FillColor', '#666666'),
(@controlID, 	'N',	 'ChartDataSeries2FillColor', '#FF9900'),
(@controlID, 	'N',	 'ChartDataSeries3FillColor', '#FF3300'),
(@controlID, 	'N',	 'ChartDataSeries4FillColor', '#CC9900'),
(@controlID, 	'N',	 'ChartDataSeries5FillColor', '#CC0033'),
(@controlID, 	'N',	 'ChartDataSeries6FillColor', '#666600'),
(@controlID, 	'N',	 'ChartDataSeries7FillColor', '#FFFF00'),
(@controlID, 	'N',	 'ChartDataSeries8FillColor', '#FF3366'),
(@controlID, 	'N',	 'ChartDataSeries9FillColor', '#66FF00'),
(@controlID, 	'N',	 'ChartDataSeries10FillColor', '#993300'),
(@controlID, 	'N',	 'ChartDataSeries11FillColor', '#CC3366'),
(@controlID, 	'N',	 'ChartDataSeries12FillColor', '#FF0099'),
(@controlID, 	'N',	 'ChartDataSeries13FillColor', '#CC6600'),
(@controlID, 	'N',	 'ChartDataSeries14FillColor', '#FF9933'),
(@controlID, 	'N',	 'ChartDataSeries15FillColor', '#993399'),
(@controlID, 	'N',	 'ChartDataSeries16FillColor', '#009900'),
(@controlID, 	'N',	 'ChartDataSeries17FillColor', '#339966'),
(@controlID, 	'N',	 'ChartDataSeries18FillColor', '#CC99FF'),
(@controlID, 	'N',	 'ChartDataSeries19FillColor', '#0066CC'),
(@controlID, 	'N',	 'ChartDataSeries20FillColor', '#660099'),
(@controlID, 	'N',	 'ChartDataSeries21FillColor', '#9900FF'),
(@controlID, 	'N',	 'ChartDataSeries22FillColor', '#66FFFF'),
(@controlID, 	'N',	 'ChartDataSeries23FillColor', '#9900FF'),
(@controlID, 	'N',	 'ChartDataSeries24FillColor', '#336666'),
(@controlID, 	'N',	 'ChartDataSeries25FillColor', '#9966FF'),
(@controlID, 	'N',	 'ChartDataSeries26FillColor', '#33FFFF'),
(@controlID, 	'N',	 'ChartDataSeries27FillColor', '#3300FF'),
(@controlID, 	'N',	 'ChartDataSeries28FillColor', '#00CC99'),
(@controlID, 	'N',	 'ChartDataSeries29FillColor', '#0033CC'),
(@controlID, 	'N',	 'ChartDataSeries30FillColor', '#00CCFF');


-- Table 'APM Workload Correlation Key by Host'
-- @firstControlID+20
select @controlID := ID from controls where Title = 'APM Workload Correlation Key by Host';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',									'20px,,,,,'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_Workload_Correlation_Key_By_Host'),
(@controlID,	'N',	'DisplayFormats',								'string,string,float,bar'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'BarColors',									'#93B2C7,#328BC7'),
(@controlID,	'N',	'BarLegendText',								'Average,95<sup>th</sup> Percentile'),
(@controlID,	'N',	'ToolTips',										',,,Average Throughput: {avgthr} /min\n95th Percentile Throughput: {perc95thr}/min'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'avgthr'),
(@controlID,	'N',	'DisplayNames',									'Key, Workload Name, Avg/m, Throughput Density'),
(@controlID,	'N',	'DisplayColumns',								'hexcol;workloadname;avgthr;avgthrSC,perc95thrSC'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,Left,Left,Left'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'Hyperlinks',									',default.aspx?pg=txdetail&TX={workloadname},,,'),
(@controlID,	'N',	'Title',										'APM Workload Correlation - {VM}');

-- Table 'APM - Application Headroom Report by Application'
-- @firstControlID+21
select @controlID := ID from controls where Title = 'APM - Application Headroom Report by Application';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID,	'N',	'ColumnWidths',									',,,,,'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'APM_bsheadroom_byWL'),
(@controlID,	'N',	'DisplayFormats',								'string,string,float,bar,float,float'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'ToolTips',										',,,Average: {volavg}\Percentile: {vol95},,'),
-- (91217, 'N', 'ToolTips', ',,,,,WAN Traffic: {OptimizedPercentage}\nLAN Traffic: {OriginalPercentage}'), 
(@controlID,	'N',	'BarColors',									'#0079C9,#4996C9,#93B4C9'),
(@controlID,	'N',	'BarLegendText',								'Average,95<sup>th</sup> Percentile, Headroom'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'vol95'),
(@controlID,	'N', 	'Hyperlinks',								 	'default.aspx?pg=vmdetail&vm={HOST},,,,,,,'),
(@controlID,	'N',	'DisplayNames',									'Host, Metric, Throughput,Capacity, Headroom, Std Dev'),
(@controlID,	'N',	'DisplayColumns',								'HOST;METRIC;volavg;volavg,vol95,headroomTX;headroomTX;ratio_stddev'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,Left,Left,Left,Left,Left'),
(@controlID,	'N',	'Title',										'Application Headroom Report - {apmapplication}');


-- Table 'APM - CapMan WL Report by VM'
-- @firstControlID+22
select @controlID := ID from controls where Title = 'APM - CapMan WL Report by VM';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '25%,25%,20%,20%,30%'),
(@controlID, 	'N',	 'DisplayColumns',									 'HOST;Processname;resp_time;system_util;workload_perc'),
(@controlID, 	'N',	 'DisplayNames',									 'Virtual Machine,Workload,Response Time(sec),Overall VM Utilization (%),% VM Utilization by Workload'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,string,float,float,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center,Center'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'HOST'),  
(@controlID, 	'N',	 'Title',									'Capacity Manager WL Report'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'capman_process_workload');


-- Table 'APM - CapMan WL Report - by Application'
-- @firstControlID+23
select @controlID := ID from controls where Title = 'APM - CapMan WL Report - by Application';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '20%,20%,20%,20%,20%'),
(@controlID, 	'N',	 'DisplayColumns',									 'HOST;Processname;resp_time;system_util;workload_perc'),
(@controlID, 	'N',	 'DisplayNames',									 'Virtual Machine,Workload,Response Time (sec),Overall VM Utilization (%),% VM Utilization by Workload'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,string,float,float,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center,Center'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=vmdetail&vm={HOST},,,,'),
(@controlID, 	'N',	 'SortField', 								'HOST'),  
(@controlID, 	'N',	 'Title',									'CapMan WL Report - {APMAPPLICATION}'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'capman_process_workload_by_app');


-- Table 'APM - Peak Hour by Application'
-- @firstControlID+24
select @controlID := ID from controls where Title = 'APM - Peak Hour by Application';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '25%,25%,25%,25%'),
(@controlID, 	'N',	 'DisplayColumns',									 'entity_name;day_id;hour_id;util_value'),
(@controlID, 	'N',	 'DisplayNames',									 'Server Name,Peak Day,Peak Hour,Utilization (95%)'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,string,string,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'SortDirection',							 'desc'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortField', 								'entity_name'),
(@controlID, 	'N',	 'Title',									'Peak Hour - {APMAPPLICATION}'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=vmdetail&vm={entity_name},,,'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_basehour');


-- Table 'APM - Peak Three Hour by Application'
-- @firstControlID+25
select @controlID := ID from controls where Title = 'APM - Peak Three Hour by Application';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '20%,20%,20%,20%'),
(@controlID, 	'N',	 'DisplayColumns',									 'entity_name;from_date;to_date;util_value'),
(@controlID, 	'N',	 'DisplayNames',									 'Server Name,Peak Start (Day/Hour),Peak End (Day/Hour),Utilization (95%)'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,string,string,float'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Center,Center,Center'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'SortDirection',							 'desc'),
(@controlID, 	'N',	 'ShowFilter',								 'True'),
(@controlID, 	'N',	 'SortField', 								'entity_name'),
(@controlID, 	'N',	 'Title',									'3 Hour Peak - {APMAPPLICATION}'),
(@controlID, 	'N',	 'Hyperlinks',								 'default.aspx?pg=vmdetail&vm={entity_name},,,'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_base3hour');


-- Table 'APM - Response Time, Throughput & Transaction Count'
-- @firstControlID+26
select @controlID := ID from controls where Title = 'APM - Response Time, Throughput & Transaction Count';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'ChartType', 'DualYAxis'),
(@controlID, 	'N',	 'Title',									'Response Time & THROUGHPUT - {VM}'),
(@controlID, 	'N',	 'ChartYAxisTitleText', 'RESPONSE TIME'),
(@controlID, 	'N',	 'ColumnNames', 'TRANS_RESPONSE_TIME'),
(@controlID, 	'N',	 'DisplayNames',									 'RESPONSE TIME'),
(@controlID, 	'N',	 'ChartYAxisMin', '0'),
(@controlID, 	'N',	 'ChartDataSeries1FillColor', '#FF0000'),
(@controlID, 	'N',	 'ChartYAxis2TitleText', 'THROUGHPUT'),
(@controlID, 	'N',	 'ChartYAxis2FieldNames', 'TRANS_THROUGHPUT'),
(@controlID, 	'N',	 'ChartYAxis2DisplayNames',									 'THROUGHPUT'),
(@controlID, 	'N',	 'ChartYAxis2Min', '0'),
(@controlID, 	'N',	 'ChartDataSeries2FillColor', '#3333FF'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'apm_response_tput_trans');


-- Table 'APM - Utilization - Workload Correlation by VM'
-- @firstControlID+27
select @controlID := ID from controls where Title = 'APM - Utilization - Workload Correlation by VM';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'ChartType', 'DualYAxis'),
(@controlID, 	'N',	 'Title',									'Utilization - Workload Correlation'),
(@controlID, 	'N',	 'ChartYAxisTitleText', 'CPU Util'),
(@controlID, 	'N',	 'ColumnNames', 'gbl_cpu_util'),
(@controlID, 	'N',	 'DisplayNames',									 'CPU Util'),
(@controlID, 	'N',	 'ChartYAxisMin', '0'),
(@controlID, 	'N',	 'ChartDataSeries1FillColor', '#FF0000'),
(@controlID, 	'N',	 'ChartYAxis2TitleText', 'Count'),
(@controlID, 	'N',	 'ChartYAxis2FieldNames', 'metricvalue'),
(@controlID, 	'N',	 'ChartYAxis2DisplayNames',									 'Workload Count'),
(@controlID, 	'N',	 'ChartYAxis2Min', '0'),
(@controlID, 	'N',	 'ChartDataSeries2FillColor', 'ColorRank3'),
(@controlID, 	'N',	 'Integration.EnableUtcStartAndEndTimes', 'True'),
(@controlID, 	'N',	 'DateTimeFormat', 'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'APM_TransUtilPairs');


-- Table 'APM - Utilization - Workload Correl Coeff Message'
-- @firstControlID+28
select @controlID := ID from controls where Title = 'APM - Utilization - Workload Correl Coeff Message';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES
(@controlID, 	'N',	 'Integration.Parameter.Demo', 'False'),
(@controlID, 	'N',	 'Integration.Parameter.UseXmlSchema',				 'True'),
(@controlID, 	'N',	 'ColumnWidths',									 '80%,20%'),
(@controlID, 	'N',	 'ColumnNames', 'Message,COEFF'),
(@controlID, 	'N',	 'DisplayColumns',									 'Message;COEFF'),
(@controlID, 	'N',	 'DisplayNames',									 'Message,Coefficient (%)'),
(@controlID, 	'N',	 'DisplayFormats',							 		 'string,double'),
(@controlID, 	'N',	 'HorizontalAlignments',					 'Left,Right'),
(@controlID, 	'N',	 'NoDataLabel',								 'There is no data during this time period.'),
(@controlID, 	'N',	 'ShowFilter',								 'False'),
(@controlID, 	'N',	 'SortDirection',							 'asc'),
(@controlID, 	'N',	 'SortField', 								'Coeff'),
(@controlID, 	'N',	 'Title',									'Correlation Coefficient - {VM}'),
(@controlID, 	'N',	 'Integration.DataType',					'SelectCommand'),
(@controlID, 	'N',	 'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID, 	'N',	 'Integration.Parameter.SelectCommandName', 'APM_WkldUtilCoeff');

-- Table 'JVM Heap Trends'
-- @firstControlID+29
select @controlID := ID from controls where Title = 'APM - JVM Heap Trends';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID, 'N',		'ColumnNames', 								'host,processname,currentwarning,slopeflag,days_to_threshold,Adaywarning,Bdaywarning,Cdaywarning'), -- For having extra columns that are not displayed but are passed through the context
(@controlID, 'N',		'ColumnWidths', 							',,,,,,,'),
(@controlID, 'N',		'DisplayColumns', 							'host;processname;currentwarning;slopeflag;days_to_threshold;Adaywarning;Bdaywarning;Cdaywarning'),
(@controlID, 'N',		'DisplayFormats', 							'string,string,string,string,float,string,string,string'),
(@controlID, 'N',		'DisplayNames', 							'Host,JVM Name,Current State,Trend,Days to Threshold,30 days,60 days,90 days'),
(@controlID, 'N',		'HorizontalAlignments', 					'Left,Left,Center,Center,Center,Center,Center,Center'),
(@controlID, 'N',		'Hyperlinks', 								'default.aspx?pg=dmhsys&sys={host},,,,,,,'),
(@controlID, 'N',		'NoDataLabel', 								'There is no data during this time period.'),
(@controlID, 'N',		'ShowFilter', 								'True'),
-- (@controlID, 'N',		'SortColumns', 								',,,,'),  -- disables sorting (can still click but it does nothing)
(@controlID, 'N',		'SortDirection', 							'asc'),
(@controlID, 'N',		'SortField', 								'days_to_threshold'),
(@controlID, 'N',		'Title', 									'JVM Heap Trends'),
(@controlID, 'N',		'Integration.DataType', 					'SelectCommand'),
(@controlID, 'N',		'Integration.EnableUtcStartAndEndTimes', 	'True'),
(@controlID, 'N',		'Integration.Parameter.DateTimeFormat', 	'yyyyMMddHHmm'),
(@controlID, 'N',		'Integration.Parameter.SelectCommandName', 	'thresholdheap'),
(@controlID, 'N',		'Integration.Parameter.UseXmlSchema', 		'True');

-- Line Chart Summary and Key (TABLE TEMPLATE) --
-- @firstControlID+30
select @controlID := ID from controls where Title = 'APM - JVM Heap Summary';
REPLACE INTO control_properties 
(ControlID,  Editable,	PropertyName, 								PropertyValue) VALUES 
(@controlID,	'N',	'ColumnWidths',									',,,,'),
(@controlID,	'N',	'Integration.DataType',							'SelectCommand'),
(@controlID,	'N',	'Integration.Parameter.SelectCommandName',		'jvmheapbar'),
(@controlID,	'N',	'DisplayFormats',								'string,string,float,bar,float'),
(@controlID,	'N',	'Integration.Parameter.UseXmlSchema',			'True'),
(@controlID,	'N',	'NoDataLabel',									'There is no data during this time period for this group.'),
(@controlID,	'N',	'ShowFilter',									'True'),
(@controlID,	'N',	'BarColors',									'#D2D1D2,#7E848B,#20242C'),
(@controlID,	'N',	'BarLegendText',								'Average,95<sup>th</sup> Percentile, Heap Size'),
(@controlID,	'N',	'ToolTips',										',,,Average: {heapavg_string}%\n95%ile utilization: {heap95_string}%\n,'),
(@controlID,	'N',	'SortDirection',								'desc'),
(@controlID,	'N',	'SortField',									'heapalloc'),
(@controlID,	'N',	'DisplayNames',									'Host, Process, 95%ile utilization , Heap capacity summary, Heap Size /Mb'),
(@controlID,	'N',	'DisplayColumns',								'host;process;heap95util;heapavg,heap95,heapalloc;heapsize'),
(@controlID,	'N',	'HorizontalAlignments',							'Left,Left,Left,Left,Left'),
(@controlID,	'N',	'Integration.Parameter.DateTimeFormat',			'yyyyMMddHHmm'),
(@controlID,	'N',	'Hyperlinks',									'default.aspx?pg=dmhsys&sys={host},,,,'),
(@controlID,	'N',	'Title',										'APM - JVM Heap Capacity');

-- ------------------------- --
-- Page Setup		         --
-- ------------------------- --
-- 

-- Menus entries created in pairs:
--	 first matches contextID
--	 second matches PageID
REPLACE INTO Menus 
(MenuID, 		 ParentID, 		PageID, 		Name, 								UserID, Rank, UserLevel, RoleBased, ContainerType, MenuType, MenuValue) VALUES
(@firstMenuID, 	 3, 			0, 				'Transaction Pages', 				0, 	 	0,    7, 		 'N',		4, 			   0, 		 ''), 
(@firstMenuID+1, @firstMenuID, 	@firstMenuID+1, '', 								0, 	 	0,    7, 		 'N',		0,			   1, 		 ''),
(@firstMenuID+2, 3, 			0, 				'Correlation Page', 				0, 	 	0,    7, 		 'N',		4, 			   0, 		 ''), 
(@firstMenuID+3, @firstMenuID+2, @firstMenuID+3, '', 								0, 	 	0,    7, 		 'N',		0,			   1, 		 ''),
(@firstMenuID+4, 	 3, 			0, 			'APM Application Detail',			0, 	 	0,    7, 		 'N',		4, 			   0, 		 ''), 
(@firstMenuID+5, @firstMenuID+4, 	@firstMenuID+5, '', 							0, 	 	0,    7, 		 'N',		0,			   1, 		 '');


-- Context_map entries:
--	 contextID matches corresponding first entry in Menus
--	 multiple RequiredVariables have , separator
REPLACE INTO context_map 
(ContextID,			ContextName,		Title, 								RequiredVariables, 		Editable) VALUES
(@firstMenuID,		'txdetail',			'Transaction Details',				'TX', 			   		'N'),
(@firstMenuID+2,	'corr_detail',		'Correlation Details',				'TX', 			   	'N'),
(@firstMenuID+4,	'APMAPPDETAIL',		'APM Application Detail',			'apmapplication',  	'N');


-- 	  PageInfo entries:
--	 Match the page to the context:
--	  PageID matches corresponding second entry in Menus
--	  PageType matches ContextName in Context_Map
REPLACE INTO pageinfo 
(PageID,		 	MenuTitle,							PageTitle, 							PageType, 		Timeframe, GroupID, UserID, UserLevel, NavigateUrl, Removable) VALUES
(@firstMenuID+1, 	'Transaction Detail', 				'Transaction Detail', 				'txdetail', 		2,		   0,		0,	  	7,		   '',		  'N'),
(@firstMenuID+3, 	'Correlation Detail', 				'Correlation Detail', 				'corr_detail', 		2,		   0,		0,	  	7,		   '',		  'N'),  
(@firstMenuID+5, 	'APM Application Detail', 			'APM Application Detail', 			'APMAPPDETAIL',		2,		   0,		0,	  	7,		   '',		  'N');

-- PageLayout entries:
--	 define which controls reside in which panes.
--	 In this case, do use a DELETE / INSERT otherwise it is only ever cumulative...
DELETE FROM pagelayout where pageID between @firstMenuID and @firstMenuID+29;

--	 Add a comment header per page, Add a comment for the Control Title
-- NOTE: control_properties.PaneID: HEAD=1, COL1=2, COL2=3, FOOT=5
INSERT INTO pagelayout 
(PageId, 			ControlId, 			PaneId, Row, UserId) VALUES
-- txdetail(+1) 
(@firstMenuID+1, 	@firstControlID+3, 		3,		1, 	 0), -- APM Transaction Replay	 
(@firstMenuID+1, 	@firstControlID+6, 		2,		1, 	 0), -- APM Transaction Summary Assessment	 
(@firstMenuID+1, 	@firstControlID+5, 		3,		3, 	 0), -- APM Capacity Correlation Report
(@firstMenuID+1, 	@firstControlID+7, 		2,		2, 	 0), -- APM Transaction Throughput Histogram
(@firstMenuID+1, 	@firstControlID+8, 		2,		3, 	 0), -- APM Transaction Response Time Histogram
-- corr_detail(+3)
(@firstMenuID+3, 	@firstControlID+4, 		1,		1, 	 0),  -- APM Transaction - Capacity Correlation
(@firstMenuID+3, 	@firstControlID+5, 		1,		2, 	 0),  -- APM Capacity Correlation Report	 

-- APM Application Detail -- APMAPPDETAIL(+5)
(@firstMenuID+5, 	@firstControlID+14, 	1,		1, 	 0), -- APM - Transaction Performance by Application
(@firstMenuID+5, 	@firstControlID+13, 	2,		2, 	 0), -- APM Server List by Application w/ Counts
(@firstMenuID+5, 	@firstControlID+16, 	3,		2, 	 0), -- APM - Heap Configuration by Application
(@firstMenuID+5, 	@firstControlID+21, 	2,		3, 	 0), -- APM - Application Headroom Report by Application
(@firstMenuID+5, 	@firstControlID+23, 	3,		3, 	 0), -- APM - CapMan WL Report - by Application
(@firstMenuID+5, 	@firstControlID+24, 	2,		4, 	 0), -- APM - Peak Hour 
(@firstMenuID+5, 	@firstControlID+25, 	3,		4, 	 0); -- APM - Peak Three Hour

-- Page_Properties:
--	 Can use this to utilize HideGroupSelection, HideChange, and optionally HideTimeNav, for defined pages if don't want to use NPC Grouping features
DELETE FROM page_properties 
	WHERE pageId between @firstMenuID and @firstMenuID+29
	AND PropertyName in ('HideGroupSelection','HideChange','HideTimeNav');  

Insert into page_properties 
(PageID,			UserID,	PropertyName,			PropertyType, PropertyValue, Editable, Enabled) VALUES
(@firstMenuID+1, 	0, 		'HideTimeNav', 			'string', 	  'false',		 '',	   'Y'),
(@firstMenuID+1, 	0,		'HideGroupSelection', 	'string',	  'true',		 '',	   'Y'),
(@firstMenuID+1, 	0,		'HideChange', 			'string',	  'true',		 '',	   'Y'),
(@firstMenuID+3, 	0, 		'HideTimeNav', 			'string', 	  'false',		 '',	   'Y'),
(@firstMenuID+3, 	0,		'HideGroupSelection', 	'string',	  'true',		 '',	   'Y'),
(@firstMenuID+3, 	0,		'HideChange', 			'string',	  'true',		 '',	   'Y');


-- END Page Properties 
insert into revision_info (Version,InstallDate,Description) VALUES ('1.5',NOW(),'APM Report Pack');

-- END CCR 1.5 APM Report Pack 
